libnsl-1.3.0

libnsl の概要

libnsl パッケージは、NIS(YP)および NIS+ に対するクライアントインターフェースを提供します。 これは glibc にて利用されている NIS ライブラリに置き換わるものです。

本パッケージは LFS-10.1 において正しくビルドでき動作することが確認されています。

パッケージ情報

libnsl の依存パッケージ

必須

rpcsvc-proto-1.4.2, libtirpc-1.3.1

ユーザー情報: http://wiki.linuxfromscratch.org/blfs/wiki/libnsl

libnsl のインストール

以下のコマンドを実行して libnsl をビルドします。

autoreconf -fi                &&
./configure --sysconfdir=/etc &&
make

このパッケージにテストスイートはありません。

root ユーザーになって以下を実行します。

make install                  &&
mv /usr/lib/libnsl.so.2* /lib &&
ln -sfv ../../lib/libnsl.so.2.0.1 /usr/lib/libnsl.so

コマンド説明

mv -v /usr/lib/libnsl.so.2* ...: 共有ライブラリを /lib に移動させて、/usr がマウントされる前でも利用可能とします。

パッケージ構成

インストールプログラム: なし
インストールライブラリ: libnsl.{a,so}
インストールディレクトリ: なし

概略説明

libnsl.{a,so}

他のプログラムが必要とする NIS (YP) API 関数を提供します。

最終更新日: 2021-02-20 15:13:48 +0900